Fork me on GitHub




(1) 2 3 »


Compatibilité XOOPS 2.5.8 et 2.6.0
Aspirant
Inscrit: 01/09/2007 08:40
De Île de la Réunion (974)
Messages: 79
Bonjour,

Tous mes voeux pour cette nouvelle année, je voudrais savoir si au niveau développement de modules ceux qui seront développés pour XOOPS 2.5.8 seront ils compatibles avec la prochaine mouture XOOPS 2.6.0 ?

Dit autrement, y a t-il déjà convergence des versions pour la conception des modules ?

Enfin, la sempiternelle question, la 2.6.0 c'est pour bientôt ?

Bruno

Posté le : 05/01/2017 17:50
Partager Twitter Partagez cette article sur GG+
Re: Compatibilité XOOPS 2.5.8 et 2.6.0
Admin Frxoops
Inscrit: 16/03/2009 16:40
De Tende (06)
Messages: 3131
Bonne Année à toi et oui, les modules de Xoops 2.5.8.x ou 2.5.9.x seront rendus compatibles pour Xoops 2.6.0.
Voir >> ici << ceux qui le sont déjà.

Concernant Xoops 2.6.0, même réponse que d'habitude : en aidant aux tests et en signalant des bogues on accélérera la date de sortie. Il n'y a pas de date butoir.

Réponse rapide de ma part qui sera peut-être plus détaillée par Mage ou autre développeur aidant XOOPS.

Posté le : 05/01/2017 19:24

Open in new window

Xoopseuse Mai 2012 | Responsable équipe internationale | Recherche avancée en bas de page !
Partager Twitter Partagez cette article sur GG+
Re: Compatibilité XOOPS 2.5.8 et 2.6.0
Régulier
Inscrit: 19/08/2006 03:45
De Paris
Messages: 496
Je vais passé à la version 2.5.8 donc je vais pouvoir vous dire mais dans le pack la version smarty & Bootstrap n'est pas la dernière.

Posté le : 05/01/2017 20:14

Version Xoops
2.5.8.1 final.
Partager Twitter Partagez cette article sur GG+
Re: Compatibilité XOOPS 2.5.8 et 2.6.0
Aspirant
Inscrit: 01/09/2007 08:40
De Île de la Réunion (974)
Messages: 79
Bonjour,


Merci pour vos réponses ! Donc, je vais pouvoir m'y remettre et travailler avec la denière version stable, sachant qu'au niveaux modules (si j'en développais un) je n'aurais rien à refaire pour qu'il fonctionne sur une 2.6.0x ...

Merci et bonne continuation,
Bruno

Posté le : 06/01/2017 06:38
Partager Twitter Partagez cette article sur GG+
Re: Compatibilité XOOPS 2.5.8 et 2.6.0
Régulier
Inscrit: 19/08/2006 03:45
De Paris
Messages: 496
Installation Xoops 2.5.8.1 sans problème !

Les modules suivant ne fonctionnent pas correctement :

- TDMDownloads : aucun blocage à l'installation, pas de problème pour accéder au module mais les downloads enregistrés dans la bdd ne s'affiche pas !

Nombre d'erreur en mode debug : 14

Unknown: Only variables should be assigned by reference in file /modules/TDMDownloads/header.php line 24
Unknown: Only variables should be assigned by reference in file /modules/TDMDownloads/header.php line 54
Unknown: Only variables should be assigned by reference in file /modules/TDMDownloads/header.php line 55
Unknown: Only variables should be assigned by reference in file /modules/TDMDownloads/header.php line 56
Unknown: Only variables should be assigned by reference in file /modules/TDMDownloads/header.php line 57
Unknown: Only variables should be assigned by reference in file /modules/TDMDownloads/header.php line 58
Unknown: Only variables should be assigned by reference in file /modules/TDMDownloads/header.php line 59
Unknown: Only variables should be assigned by reference in file /modules/TDMDownloads/header.php line 60
Unknown: Only variables should be assigned by reference in file /modules/TDMDownloads/header.php line 61
Unknown: Only variables should be assigned by reference in file /modules/TDMDownloads/header.php line 62
Unknown: Only variables should be assigned by reference in file /header.php line 58
Unknown: Only variables should be assigned by reference in file /modules/TDMDownloads/include/functions.php line 41
Unknown: Only variables should be assigned by reference in file /modules/TDMDownloads/include/functions.php line 44
Unknown: Only variables should be assigned by reference in file /modules/TDMDownloads/search.php line 63

- mylinks : aucun blocage à l'installation, pas de problème pour accéder au module mais les liens enregistrés dans la bdd ne s'affiche pas, seulement le contenu des blocks nouveaux liens, top liens, liens récent !

Nombre d'erreur en mode debug : 20

Unknown: Only variables should be assigned by reference in file /modules/mylinks/index.php line 29
Unknown: Only variables should be assigned by reference in file /modules/mylinks/index.php line 32
Unknown: Only variables should be assigned by reference in file /header.php line 58
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/include/functions.php line 204
Unknown: Only variables should be assigned by reference in file /modules/mylinks/xoops_version.php line 118
Unknown: Only variables should be assigned by reference in file /modules/mylinks/xoops_version.php line 119
Warning: Smarty error: unable to read resource: "db:mylinks_index.html" in file /class/smarty/Smarty.class.php line 1100

Le module News fonctionne parfaitement en mode affichage de données, je n'ai pas encore testé la soumission d'article.

le module Xoopstube fonctionne parfaitement hormis les blocks random etc ... pour l'instant ils ne s'affichent pas !
Peut être une erreur de ma part ?


Les tests ont été réalisé sous PHP 5.6.29 & 7.0.13 par contre sous PHP 7.1 j'ai une erreur "Error : mysqli extension not loaded" peut être dû à la configuration de PHP au niveau du cPanel ?Open in new window

Posté le : 06/01/2017 06:49

Version Xoops
2.5.8.1 final.
Partager Twitter Partagez cette article sur GG+
Re: Compatibilité XOOPS 2.5.8 et 2.6.0
Admin Frxoops
Inscrit: 16/03/2009 16:40
De Tende (06)
Messages: 3131
La version de TDMDownloads sur frxoops date de 2013.
Peux-tu tester avec cette version anglaise dont les dernières modifications datent de Juin 2016 ?

Pour mylinks, as-tu testé avec cette version anglaise ?

Posté le : 06/01/2017 07:04

Open in new window

Xoopseuse Mai 2012 | Responsable équipe internationale | Recherche avancée en bas de page !
Partager Twitter Partagez cette article sur GG+
Re: Compatibilité XOOPS 2.5.8 et 2.6.0
Régulier
Inscrit: 19/08/2006 03:45
De Paris
Messages: 496
Oui, Non

Oui je veux bien testé une fois que j'aurais dormis !
Non je n'ai pas testé mylinks mais, je vais le faire.

J'avais oublié j'ai testé aussi xlangage alors il s'installe mais lorsque je veux revenir sur la page des modules j'ai un bug j'ai dû l'enlever via la bdd.

C'est la version 3.05 Beta 1

Posté le : 06/01/2017 10:10

Version Xoops
2.5.8.1 final.
Partager Twitter Partagez cette article sur GG+
Re: Compatibilité XOOPS 2.5.8 et 2.6.0
Régulier
Inscrit: 19/08/2006 03:45
De Paris
Messages: 496
La version de mylinks c'est la même que celle que j'utilise la 3.11 RC5.

Pour TDMDownload c'est aussi la même version que j'ai.


Le module QRcode il génère bien une image QRcode & pour enregistrer l'image il faut faire une click du droit puis enregistrer sous mais, l'image est en .php j'ai essayé de l'enregistrer sous un autre format jpg, ... mais ça ne fonctionne pas.

Posté le : 06/01/2017 18:00

Version Xoops
2.5.8.1 final.
Partager Twitter Partagez cette article sur GG+
Re: Compatibilité XOOPS 2.5.8 et 2.6.0
Admin Frxoops
Inscrit: 16/03/2009 16:40
De Tende (06)
Messages: 3131
Les noms des versions de module n'ont pas changé mais des modifications ont été apportées, voilà pourquoi je t'ai demandé de tester ces versions anglaises.

Posté le : 06/01/2017 20:10

Open in new window

Xoopseuse Mai 2012 | Responsable équipe internationale | Recherche avancée en bas de page !
Partager Twitter Partagez cette article sur GG+
Re: Compatibilité XOOPS 2.5.8 et 2.6.0
Régulier
Inscrit: 19/08/2006 03:45
De Paris
Messages: 496
ma version de TDMDownload fonctionne !
J'avais oublié les permissions dans le module mais je vais quand même tester la version proposée.

mylinks lui ne fonctionne pas même avec la version proposée & j'ai bien coché les permissions dans l'admin du module.

Posté le : 07/01/2017 17:41

Version Xoops
2.5.8.1 final.
Partager Twitter Partagez cette article sur GG+

 Haut   Précédent   Suivant
(1) 2 3 »




Propulsé avec XOOPS | Graphisme adapté par Tatane, Grosdunord, Montuy337513

35 Personne(s) en ligne (30 Personne(s) connectée(s) sur Forum) | Utilisateur(s): 0 | Invité(s): 35 | Plus ...